// native scope
import * as childProcess from 'child_process';
import * as path from 'node:path';

// Export with explicit module types
export {
  childProcess,
  path,
}

// @push.rocks scope
import * as npmextra from '@push.rocks/npmextra';
import * as projectinfo from '@push.rocks/projectinfo';
import * as smartcli from '@push.rocks/smartcli';
import * as smartdaemon from '@push.rocks/smartdaemon';
import * as smartpath from '@push.rocks/smartpath';

// Export with explicit module types
export {
  npmextra,
  projectinfo,
  smartcli,
  smartdaemon,
  smartpath,
}

// third-party scope
import psTree from 'ps-tree';
import pidusage from 'pidusage';

// Add explicit types for third-party exports
export {
  psTree,
  pidusage,
}